commit:     3b793890131530295d7cc52c4cec4367fae832aa
Author:     Georg Rudoy <0xd34df00d <AT> gmail <DOT> com>
AuthorDate: Wed Oct 24 03:39:45 2018 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Wed Oct 24 14:44:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b793890

net-libs/qxmpp: upstream build system change in 9999

Signed-off-by: Georg Rudoy <0xd34df00d <AT> gmail.com>
Signed-off-by: Sergey Popov <pinkbyte <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/10210

 net-libs/qxmpp/qxmpp-9999.ebuild | 52 ++++++++++++++++------------------------
 1 file changed, 20 insertions(+), 32 deletions(-)

diff --git a/net-libs/qxmpp/qxmpp-9999.ebuild b/net-libs/qxmpp/qxmpp-9999.ebuild
index 6bc4e3d8310..a6fb6f67b14 100644
--- a/net-libs/qxmpp/qxmpp-9999.ebuild
+++ b/net-libs/qxmpp/qxmpp-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=6
 
 EGIT_REPO_URI="https://github.com/qxmpp-project/qxmpp";
 
-inherit git-r3 qmake-utils
+inherit git-r3 cmake-utils
 
 DESCRIPTION="A cross-platform C++ XMPP client library based on the Qt 
framework"
 HOMEPAGE="https://github.com/qxmpp-project/qxmpp/";
@@ -25,50 +25,38 @@ RDEPEND="
        vpx? ( media-libs/libvpx:= )
 "
 DEPEND="${RDEPEND}
+       dev-util/cmake
        test? ( dev-qt/qttest:5 )
+       doc? ( app-doc/doxygen )
 "
 
 src_prepare() {
-       default
+       # requires network connection, bug #623708
+       sed -e "/qxmppiceconnection/d" \
+               -i tests/CMakeLists.txt || die "failed to drop single test"
 
-       if ! use doc; then
-               sed -e '/SUBDIRS/s/doc//' \
-                       -e '/INSTALLS/d' \
-                       -i qxmpp.pro || die "failed to remove docs"
-       fi
-       if ! use test; then
-               sed -e '/SUBDIRS/s/tests//' \
-                       -i qxmpp.pro || die "failed to remove tests"
-       else
-               # requires network connection, bug #623708
-               sed -e "/qxmppiceconnection/d" \
-                       -i tests/tests.pro || die "failed to drop single test"
-       fi
-       # There is no point in building examples. Also, they require 
dev-qt/qtgui
-       sed -e '/SUBDIRS/s/examples//' \
-               -i qxmpp.pro || die "sed for removing examples failed"
+       cmake-utils_src_prepare
 }
 
 src_configure() {
-       eqmake5 "${S}"/qxmpp.pro \
-               PREFIX="${EPREFIX}/usr" \
-               LIBDIR="$(get_libdir)" \
-               QXMPP_USE_OPUS=$(usex opus 1 '') \
-               QXMPP_USE_SPEEX=$(usex speex 1 '') \
-               QXMPP_USE_THEORA=$(usex theora 1 '') \
-               QXMPP_USE_VPX=$(usex vpx 1 '')
+       local mycmakeargs=(
+               -DBUILD_DOCUMENTATION=$(usex doc)
+               -DBUILD_EXAMPLES=OFF
+               -DBUILD_TESTS=$(usex test)
+               -DWITH_OPUS=$(usex opus)
+               -DWITH_SPEEX=$(usex speex)
+               -DWITH_THEORA=$(usex theora)
+               -DWITH_VPX=$(usex vpx)
+       )
+
+       cmake-utils_src_configure
 }
 
 src_install() {
-       emake INSTALL_ROOT="${D}" install
-       einstalldocs
+       cmake-utils_src_install
+
        if use doc; then
                # Use proper path for documentation
                mv "${ED}"/usr/share/doc/${PN} "${ED}"/usr/share/doc/${PF} || 
die "doc mv failed"
        fi
 }
-
-src_test() {
-       MAKEOPTS="-j1" # random tests fail otherwise
-       default_src_test
-}

Reply via email to